Bug 150304 - 2 * missing return statement
2 * missing return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: uim (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 10:46 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-18 08:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-03-04 10:46:57 EST
Description of problem:

I just tried to compile uim-0.4.5-2 from Redhat Fedora Extras development
tree with the Intel C compiler.

The compiler said

1.

canna.c(449): warning #1011: missing return statement at end of
non-void function "commit_segment"

I've had a look at the code, and I agree with the compiler. Suggest
add return statement at the end of the function.

2.

canna.c(457): warning #1011: missing return statement at end of
non-void function "reset_conversion"

The source code is

static LISP
reset_conversion(LISP id_)
{
  int id = uim_scm_c_int(id_);

  _reset_conversion(id);
}

Suggest add return statement at the end of the function.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Akira TAGOH 2005-04-18 08:54:28 EDT
will be fixed in 0.4.6-1.

Note You need to log in before you can comment on or make changes to this bug.